package cd.casic.ci.process.process.service.testCase;

import cd.casic.ci.process.dto.req.testCase.TestCaseAITargetUploadReq;
import cd.casic.ci.process.dto.req.testCase.TestCaseAITaskCreateReq;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public interface TestCaseAIGeneratorService {
    /**
     *  目标文件上传
     * */
    public String targetUpload(String binaryPath, InputStream inputStream) throws IOException;
    /**
     *  创建测试用例生成任务
     * */
    public String taskCreate(TestCaseAITaskCreateReq req);
    public String getTaskStatus(String taskId);
    public String getTaskLog(String taskId);
    public void downloadTestCase(String taskId, OutputStream outputStream) throws IOException;
}
